Subject: Re: bug#39948: 28.0.50; crash in fchmodat

From: Stephen Berman <[email-masked]>
Date: Sat, 07 Mar 2020 01:30:58 +0100

On Fri, 6 Mar 2020 15:54:07 -0800 Paul Eggert <[email-masked]> wrote:

> On 3/6/20 8:45 AM, Robert Pluim wrote:
>
>> lib/fchmodat.c:fchmodat can call lib/fchmodat.c:orig_fchmodat, which
>> can call fchmodat. Presumably that last one is meant to be the system
>> fchmodat, but itʼs calling the fchmodat.c:fchmodat one instead.
>
> Yes, orig_fchmodat is supposed to call the system fchmodat.
>
> Do you get the same problem with 'make bootstrap'? If not, we're done.

I was just about to shut down for the night when your mail arrived, so I
did `make bootstrap' but got the same crash both when sending a mail
with Gnus and when transfering a file with Tramp.  I'll follow up on
your other suggestions on Saturday and report back.

Steve Berman